# 2ème réunion avec Julien Montavont
## L2S4 PRDS
## 21/02/2024

## Présent-es :
- Julien MONTAVONT
- Carine WAKIM
- Maxime ZINGRAFF

## Cadre
Salle de réunion équipe réseau, de 11h05 à 11h50

## Ordre du jour prévisionnel :

| Sujet                                                                                    | Durée    |
| ---------------------------------------------------------------------------------------- | -------- |
| Avis sur le nouveau plan                                                                 | 15 min   | 
| Les types : trop peu normés. Proposition d’une approche alternative (cf. plan proposé)   | 7 min    |
| Pistes à développer sur les aspects sécuritaires                                         | 7 min    |
| Avis sur la structure de la présentation du jour                                         | 5 min    |
| Questions supplémentaires (pouvant émerger suite à la présentation de 8h30)              | 10 min   |
| Prochaine disponibilité pour un rendez-vous                                              | 1 min    |

## Avis sur le nouveau plan :

Le plan présenté était le suivant

1. __Fonctionnement des NATs *RFC 3022*__
    1. Principe général des NATs
        1. Place dans le modèle OSI
    2. Pourquoi les NATs ont-ils été créés ?
        1. Épuisement des adresses IPv4
    3. Les différents types de NATs (organisation provisoire : garder en tête les cônes)
        1. NATs statiques (1 adresse privée = 1 adresse publique)
        2. NATs dynamiques (pool d’adresses publiques et table de traduction)
        3. PAT et NAPT (dont NAT overload)
    4. Processus technique de traduction des paquets
    5. *Perspectives : CGNAT, NAT 46/64 (à garder ? autre part ?)*
2. __Connectivité__
    1. Problème : protocoles à port de retour dynamique (VoIP, consoles de jeu, visio…)  
    2. Solutions : méthodes de contournement
        1. UPnP IGD
        2. PCP
        3. ICE (STUN/TURN) *RFC 8863*
3. __Sécurité *(est-ce que les NAT remplacent les pare-feux)*__ 
    1. Apports des NAT statiques & dynamiques
        1. Filtrage des communications entrantes *(sécurisation d’un appareil)* 
        2. Isolement de certains appareils en dehors d’Internet *(sécurisation d’un réseau local)* 
    2. Apports des PAT
        1. Filtrage sur les ports : nécessité de connaître le port utilisé par l’application


Avis de M. MONTAVONT : La partie *CGNAT* n'est en effet pas primordiale, elle peut être pertinente en "bonus" mais ce n'est pas une priorité.

__Sur la partie *Les problèmes  de connectivité des NAT*__

M. MONTAVONT expose un problème de connectivité majeur lié aux NAT : 
Recalculer les checksums des paquets modifiés ralentit l’échange de données : 
Les NAT modifient les en-têtes des paquets IP pour faire correspondre les adresses IP et les numéros de port entre les réseaux. Lorsque l'adresse IP ou le numéro de port est modifié, cela peut affecter le checksum du paquet, car le checksum est calculé en fonction des données dans le paquet, y compris l'en-tête IP. Ainsi, pour maintenir l'intégrité des données, le checksum doit être recalculé pour refléter les modifications apportées par les NAT

Ce problème  doit donc être approfondi. 

Il nous conseille de regarder l'introduction de différents articles de recherche qui, en général, répertorient les problèmes de connectivité. D'autres pistes de problèmes liés aux NAT : le protocole IPsec et la fragmentation des paquets dans le protocole TCP. A ce moment, on peut passer en UDP mais il reste à étudier ce que cela implique.

__Sur la partie *Les protocoles de contournement des NAT*__

M. MONTAVONT propose un RFC rédigé par son collègue, M. IVOV   
Ce RFC discute notamment des différents protocoles de contournement des NAT dont le protocole ICE.


A part cela, c'est un plan meilleur que la semaine dernière et qui fait sens, il peut néanmoins être amené à évoluer.

## Les types

Lors de la réunion du 14.02.2024, M. MONTAVONT propose de découvrir les catégories de NAT “Type 1”, “Type 2” et “Type 3” plutôt que de différencier les NAT en passant par les dénominations “NAT statique”, “NAT dynamique”. 

Au cours de la semaine du 14.02.2024, nous avons donc approfondi les recherches sur les catégories de NAT “Type 1”, “Type 2” et “Type 3”. 
Cependant, ce moyen de catégorisation semble peu normé : il n’est utilisé que par les consoles de jeux ou encore par des entreprises privées et varient d’une entité à l’autre. 

Les dénominations “Type 1”, “Type 2” et “Type 3” sont notamment employées par Sony.

M. MONTAVONT a confirmé ces propos et expose alors au cours de la réunion du 21.04.2024 un autre moyen pour différencier les NAT, étroitement lié à l’aspect sécuritaire des NAT. 

M. MONTAVONT indique que cette catégorisation est concrétisée sous forme de schémas sur le site Wikipédia (page anglaise) dédié aux NAT et sont notamment formalisés dans le RFC 4787. 
M. MONTAVONT précise que c’est cette distinction qu’il nous faut prendre en compte et non celle des types 1,2 et 3. 

Il nous conseille de faire un sondage auprès de nos camarades pour avoir des statistiques sur le type de NAT le plus utilisé (bien que ce sera probablement 100%), ainsi que de citer des travaux de recherches analysant le trafic et qui pourraient avoir établi des statistiques du même genre.

## Aspects sécuritaires

Les aspects sécuritaires peuvent, en effet, avoir pour fil conducteur la question : “Les NAT peuvent-ils remplacer des dispositifs de sécurité comme les pare-feux ?” (réponse à une question posée par Carine WAKIM). 

Il est aussi important de faire la différence sur les différents apports sécuritaires en fonction du type de NAT utilisé !

## Structure de la présentation d'avancement

La présentation globale est correcte. M. MONTAVONT nous conseille d'expliciter la bi-directionalité à travers des schémas

Concernant l'ordre des sujets abordés, il nous conseille de parler en premier de l'intérêt des NAT et seulement ensuite du fonctionnement technique. De plus, illustrer avec un exemple (type garde-frontière) peut aider à la compréhension. Il faudrait éviter l'image du mur, qui est fausse.

Surtout, pour la prochaine présentation, nous devrions nous concentrer sur des exemples concrets appliqués aux différents types de NAT, en se focalisant sur le NAT symétrique et le cas appliqué à un protocole à port dynamique. Il faudrait éviter de parler directement des protocoles de contournement.

Il faut garder une structure globale qu'on devra garder pour notre rapport : les problèmes d'abord, et les solutions qui y répondent.

## Questions supplémentaires

Ce point a été distillé avec les autres points.

## Prochain rendez-vous

Nous nous accordons sur le fait qu'une fréquence bi-hebdomadaire est suffisante.
M. MONTAVONT étant indisponible mercredi 13/03, le prochain rendez-vous aura lieu le mardi 12/03 à 10h, à son bureau sur le campus Esplanade (3ème étage de l'UFR de Math-Info)

D'ici le prochain rendez-vous, nous enverrons une première version de l'agenda prévisionnel, cette fois ci un peu plus à l'avance.