# 4ème réunion avec Julien Montavont
## L2S4 PRDS
## 27/03/2024

## Présent-es :
- Julien MONTAVONT
- Carine WAKIM
- Maxime ZINGRAFF

## Cadre
Bureau 320 (UFR Math-Info), de 15h30 à 16h30

## Ordre du jour prévisionnel :

Comme précisé par mail, au vu de l'incertitude liée aux modalités de l'évaluation mi-parcours, nous n'avions pas fourni d'ordre du jour prévisionnel.
Nous décidons d'aborder la présentation d'avancement du lendemain (27/03/2024), et de finir par évoquer l'évaluation mi-parcours.

## Présentation du 27/03/2024

Julien MONTAVONT évoque différents points sur TCP et UDP.
Notamment, il précise que TCP représente 99% du trafic, c'est donc un protocole primordial.

Sur certains protocoles, type protocole vidéo, l'entièreté des données n'est pas retransmise mais seulement les pixels différents.

Concernant la sémantique, il faut bien parler de "segment" pour TCP et de "datagramme" pour UDP car il n'y a pas de synchronisation des données.

Nous passons ensuite aux schémas de la première version de la présentation.
Sur le UDP Hole Punching, Julien MONTAVONT nous demande de clarifier le schéma : la flèche qui part du serveur S vers le NAT de B est trompeuse : ce n'est pas S qui inscrit la requête dans la table NAT, mais la machine B qui envoie une requête directement à A, après que S en a fait la demande.

Également, il n'y a pas un serveur S par réseau local : il doit être commun aux 2. Julien MONTAVONT nous conseille de nous en tenir aux schémas de la RFC 5128 et de simplement les rendre plus lisibles.

Sur la structure de la présentation de manière globale, il nous conseille d'abandonner la séparation entre TCP et UDP qui est trop précise à ce stade de nos recherches. Il nous conseille de nous focaliser plutôt sur une structure plus générale avec les 3 grandes techniques :
- Relaying
- Connexion Reversal
- Hole Punching

On peut aussi préciser les particularités pour TCP.
Etant donné que le Hole Punching nécessite un NAT Endpoint-Independant Mapping, il serait bénéfique de rappeler les particularités de ce type de NAT.

Finalement, nous sommes d'accord pour ne même pas mentionner ni UDP ni TCP du tout.

## Plan pour les prochaines présentations

1. Implémentations du contournement (protocoles ICE, UPnP, PCP, ...)
2. Aspects sécuritaires

## Evaluation de mi-parcours

Julien MONTAVONT nous indique qu'il n'y a pas besoin de séance supplémentaire pour notre évaluation de mi-parcours, et qu'il a assez d'éléments en main pour pouvoir nous évaluer. Nous passons rapidement en revue la grille d'évaluation, c'est globalement satisfaisant.

Il nous conseille de diversifier nos sources, avec notamment des articles de recherche et des évaluations de performance.
Nous précisons que nous avons utilisé des livres notamment pour UDP et TCP.

De manière générale, M. MONTAVONT nous conseille de faire attention de ne pas s'éparpiller sur les sujets restant à étudier, comme sur les aspects sécuritaires.

A propos du rapport, il nous conseille de commencer la rédaction dès maintenant, et de finir en avance pour avoir le temps de lui soumettre pour relecture. Carine WAKIM présente le début de rédaction du rapport que nous avons déjà entamé.

De même pour la soutenance, il est conseillé d'anticiper et d'essayer de raconter une histoire, de faire des choix et ne pas se forcer à tout dire.

## Prochaine réunion

La prochaine réunion est fixée le 10/04/2024, de 10h à 11h dans la salle de réunion de l'équipe Réseaux à ICube.