# 3ème réunion avec Julien Montavont
## L2S4 PRDS
## 12/03/2024

## Présent-es :
- Julien MONTAVONT
- Carine WAKIM
- Maxime ZINGRAFF

## Cadre
Bureau 320 (UFR Math-Info), de 10h05 à 10h50

## Ordre du jour prévisionnel :

| Sujet                                                                                    | Durée    |
| ---------------------------------------------------------------------------------------- | -------- |
| Avis sur la présentation d'avancement du 13/03 & retour sur la nomenclature *RFC 4787* | 15 min |
| Etablissement d'une feuille de route pour les prochaines présentations | 7 min |
| Echange sur le sondage & présentation des résultats provisoires | 7 min |
| Echange sur les protocoles de contournement & les impacts des NATs sur la performance *(Protocoles hors ICE et UPnP & checksum)* | 7 min |
| Avancement documentaire & bibliographique | 5 min |
| Prochain rendez-vous | 1 min |

## Avis sur la présentation d'avancement du 13/03 & retour sur la nomenclature RFC 4787

Nous effectuons notre présentation devant Julien MONTAVONT avec la version actuelle du diaporama.
Plusieurs remarques :
- Il faudrait plutôt utiliser une adresse IP privée réelle (type 192.168.X.X) plutôt qu'une adresse fictive (nous avions utilisé 1.2.1.2).
- De même, il faut faire attention au fait que les adresses utilisées ne soient pas des adresses réservées pour la documentation (*RFC 5737*).
- Dans le tableau de présentation pour le 1er type, il faudrait aussi inclure un cas où la communication est rejetée par le NAT ; ou du moins le mentionner à l'oral.

Un point important d'après M. MONTAVONT est la partie de remplissage des tables : quelles sont les différentes méthodes de remplissage, comment cela se déroule techniquement, etc.
Après discussion et accord de M. MONTAVONT, pour des raisons de temps nous en parlerons en conclusion et surtout lors de la présentation suivante.

Pour revenir sur le diaporama, il nous conseille aussi d'inclure la table de traduction adresse privé/adresse publique dans le schéma du 1er type.

De même, il nous indique l'importance des protocoles : c'est en effet pris en compte dans la création du mapping. En particulier pour TCP et ICMP, des RFC sont dédiées à l'implémentation des NAT pour ces protocoles (*RFC 5508*, *RFC 5382* et *RFC 7857*).
Nous en parlerons plus tard également.

## Etablissement d'une feuille de route pour les prochaines présentations

Ce point a été abordé en même temps que le point précédent.

## Echange sur le sondage & présentation des résultats provisoires

Nous présentons les résultats de notre sondage : environ 10 personnes l'ont rempli.
Les questions étaient :
1. Avez-vous 2 adresses IP publiques sur 2 appareils différents, sur un même réseau local (test à l'aide d'outils type "What's my IP") (*Objectif : savoir si les personnes sondées utilisent un NAT overload/masquerading ou non*)
2. Avez-vous déjà configuré des NATs, et si oui pourquoi ? (*Objectif : savoir si la configuration manuelle est courante et si oui, dans quel contexte*)
3. Avez-vous déjà rencontré des problèmes de connectivité liés aux NATs ? (*Objectif : savoir si les mécanismes de contournements sont efficaces ou non*)

Sachant que le public cible n'est pas représentatif de la population française et que l'échantillon reste modeste, ces résultats ne sont pas forcément exploitables.

Les réponses étaient assez homogènes en général : adresses IP identiques ; peu de configuration sauf pour des serveurs Web ou de jeu en ligne ; pas de problèmes de connectivité.

Julien MONTAVONT confirme que ces résultats ne sont pas exploitables dans l'état.
Nous indiquons que nous avions pensé à demander aux personnes sondées leur FAI et leur modèle de box, afin de retrouver le type de NAT utilisé, mais étant donné le faible nombre de réponses malgré la communication ardue ; il paraît compliqué de mobiliser nos camarades alors qu'une telle question leur demande plus d'efforts.

Nous choisissons alors de prioriser des sondages à plus grande échelle, déjà existants. Julien MONTAVONT nous envoie un exemple d'enquête. Nous pouvons néanmoins utiliser le notre pour mettre en avant le fait que les NAT intéressent peu la plupart de la population, même malgré un public cible d'étudiant-es en informatique.

## Echange sur les protocoles de contournement & les impacts des NATs sur la performance

Comme dit lors de l'échange sur la présentation, nous traiterons ces points plutôt à la fin du projet, après avoir compris le reste du sujet. A ce moment là, comprendre la partie "Protocoles" sera plus fluide.

## Avancement documentaire & bibliographique

Nous présentons l'avancement du Git. A propos de la présentation mi-parcours du 27/03, il faut voir avec Pierre DAVID pour avoir plus de détails sur les modalités d'évaluation et revenir vers M. MONTAVONT pour l'informer de la manière dont cela se déroulera.

## Prochain rendez-vous

Le prochain rendez-vous aura lieu le mardi 26/03 à 15h30 au bureau 320 (UFR Math-Info).